var MultiSelectModal = function(modal, prevButton, nextButton) {
    var selectModal = this;
    this.modal = modal;
    this.prevButton = prevButton;
    this.nextButton = nextButton;

    $(this.modal).on('show.bs.modal', function() {
        selectModal.showNavigationButtons();
    });

    $(this.nextButton).click(function(){
        var currentPage = $(".current-page");
        $(currentPage).removeClass("current-page").addClass("hidden");
        $(currentPage).next().removeClass("hidden").addClass("current-page");
        selectModal.showNavigationButtons();
    });

    $(this.prevButton).click(function(){
        var currentPage = $(".current-page");
        $(currentPage).removeClass("current-page").addClass("hidden");
        $(currentPage).prev().removeClass("hidden").addClass("current-page");
        selectModal.showNavigationButtons();
    });
    
}

MultiSelectModal.prototype.showNavigationButtons = function(){
    var currentModal = this;
    var currentPage = $(currentModal.modal).find(".current-page");
    var nextButton = $(currentModal.modal).find(currentModal.nextButton);
    var prevButton = $(currentModal.modal).find(currentModal.prevButton);
    console.log($(currentPage).next());
    console.log($(currentPage).prev() == null);
    if ($(currentPage).next().length != 0) {
        $(nextButton).removeClass("hidden");
    } else {
        $(nextButton).addClass("hidden");
    }

    if ($(currentPage).prev().length != 0) {
        $(prevButton).removeClass("hidden");
    } else {
        $(prevButton).addClass("hidden");
    }
    
};
